@echo off

REM =================================================
REM      Batch File for 'Converting HWP to TXT'
REM
REM      %1 : HWP File Name to be converted
REM      %2 : TXT File Name converted
REM      %3 : HWP Version
REM             "V1.20" = HWP1.5x, 
REM             "V2.00" = HWP2.0x
REM             "V2.10" = HWP2.1x
REM
REM =================================================

if "%3" == "V1.20" goto HWP2TXT15
if "%3" == "V2.00" goto HWP2TXT20

REM ======= Converting HWP to TXT for V2.1x =========
if not exist HWP21TXT.EXE goto error3
HWP21TXT.EXE %1 > %2
goto end

REM ======= Converting HWP to TXT for V1.5x =========
:HWP2TXT15
if not exist HWP2TXT.EXE goto error1
HWP2TXT.EXE %1 > %2
goto end

REM ======= Converting HWP to TXT for V2.0x =========
:HWP2TXT20
if not exist HWPSR-J.EXE goto error2
copy %1 modntemp.hwp
hwpsr-j.exe /r /2 modntemp.hwp > %2
del modntemp.hwp
goto end

:error1
echo =========================================
echo        Not exists HWP2TXT.EXE
echo        for HWP V1.5x
echo =========================================
@echo off
pause
goto end

:error2
echo =========================================
echo        Not exists HWPSR-J.EXE
echo        for HWP V2.0x
echo =========================================
@echo off
pause

:error3
echo =========================================
echo        Not prepared HWP21TXT.EXE
echo        for HWP V2.1x
echo =========================================
@echo off
pause

:end

